<!--
 Copyright (c) 2014, 2017, Oracle and/or its affiliates.
 The Universal Permissive License (UPL), Version 1.0
 -->
 
<section id="main" class="wrapper">
	<div class="inner">
		
		<div class="row">
			<div class="12u$ 12u$(medium)">
				<h3>Form-M Application Form</h3>
				<h4 id="free0"><span id="status"></span></h4>
			</div>
			<div class="12u$ 12u$(medium)">
				<oj-train id="train"
						class="oj-train-stretch"
						style="max-width:100%;margin-left:auto;margin-right:auto;"
						on-oj-select="[[updateStepsAction]]"
						on-oj-before-deselect="[[updateBeforeStepsAction]]"
						on-oj-deselect="[[deselectStepAction]]"
						selected-step="{{selectedStepValue}}"
						steps="[[stepArray]]">
				</oj-train>
			</div>
			
			<div class="12u 12u$(medium)">
				
				<div id="dvstep0" style='display:block;' class="row uniform">
					<div class="12u$ 12u$(small)">
						<br/>
						<p>In arcu accumsan arcu adipiscing accumsan orci ac. Felis id enim aliquet. Accumsan ac integer lobortis commodo ornare aliquet accumsan erat tempus amet porttitor. Ante commodo blandit adipiscing integer semper orci eget. Faucibus commodo adipiscing mi eu nullam accumsan morbi arcu ornare odio mi adipiscing nascetur lacus ac interdum morbi accumsan vis mi accumsan ac praesent.</p>
					</div>
					<div class="4u 12u$(small)">
						<div class="select-wrapper">
							<select id="cbBranch" data-bind="options: branches,
								   optionsText: 'description',
								   optionsValue: 'branchid',
								   value: val,
								   optionsCaption: 'Choose Branch...'" required>
							</select>
						</div>
					</div>
					<div class="4u 12u$(small)">
						<oj-input-date id="txtValidityDate" value="{{validityDate}}" converter=[[dateConverter]]></oj-input-date>
					</div>
					<div class="4u$ 12u$(small)">
						<a href="#" class="button alt medium fit" data-bind="click: nextStepsAction">Next ...</a>
						<!-- <button id= "btnCheck" class="button alt fit" chroming="outlined"
						data-bind="click: nextStepsAction,
								   ojComponent: { component: 'ojButton', label: 'Next ...' }">
						</button> -->
					</div>
					<div style="height:100px;" class="12u$ 12u$(small)">
						<br/>
					</div>
					
				</div>
				
				<div id="dvstep1" style='display:none;' class="row uniform">
					<div class="12u$ 12u$(small)">
						<hr/>
						<span><h4>Applicant Details</h4></span>
						
					</div>
					<div class="6u 12u$(small)">
						<oj-input-text placeholder='Applicant Name' id="txtApplicantName"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="6u$ 12u$(small)">
						<oj-input-text placeholder='Applicant Account Number' id="txtApplicantNumber"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="4u 12u$(small)">
						<oj-input-text placeholder='Applicant RC Number' id="txtApplicantRCNo"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="4u 12u$(small)">
						<oj-input-text placeholder='Applicant Tax Identification No' id="txtApplicantTIN"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="4u$ 12u$(small)">
						<oj-input-text placeholder='Applicant Email Address' id="txtApplicantEmail"  inputmode="email"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										validators="[[emailPatternValidator]]"></oj-input-text>
					</div>
					<div class="4u 12u$(small)">
						<oj-input-text placeholder='Applicant Phone Number' id="txtApplicantPhone"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="8u$ 12u$(small)">
						<oj-input-text placeholder='Applicant Contact Address' id="txtApplicantAddr"  inputmode="email"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="4u 12u$(small)">
						<a href="#" class="button special small fit icon fa-next" data-bind="click: previousStepsAction">Previous ...</a>
					</div>
					<div class="4u$ 12u$(small)">
						<a href="#" class="button alt small fit icon fa-next" data-bind="click: nextStepsAction">Next ...</a>
						<!--
						<button id= "btnCheck" class="button special fit oj-button-confirm" chroming="outlined"
						data-bind="click: nextStepsAction,
								   ojComponent: { component: 'ojButton', label: 'Next ...' }">
						</button>
						-->
					</div>
					
				</div>
				<div id="dvstep2" style='display:none;' class="row uniform">
					<div class="12u$ 12u$(small)">
						<hr/>
						<span><h4>Beneficiary Details</h4></span>
						
					</div>
					<div class="4u 12u$(small)">
						<oj-input-text placeholder='Beneficiary Name' id="txtBeneName"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="8u$ 12u$(small)">
						<oj-input-text placeholder='Beneficiary Email Address' id="txtBeneEmail"  inputmode="email"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										validators="[[emailPatternValidator]]"></oj-input-text>
					</div>
					<div class="4u 12u$(small)">
						<oj-input-text placeholder='Beneficiary Phone Number' id="txtBenePhone"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="8u$ 12u$(small)">
						<oj-input-text placeholder='Beneficiary Contact Address' id="txtBeneAddr"  inputmode="email"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="4u 12u$(small)">
						<a href="#" class="button special small fit icon fa-next" data-bind="click: previousStepsAction">Previous ...</a>
					</div>
					<div class="4u$ 12u$(small)">
						<a href="#" class="button alt small fit icon fa-next" data-bind="click: nextStepsAction">Next ...</a>
						<!--
						<button id= "btnCheck" class="button special fit oj-button-confirm" chroming="outlined"
						data-bind="click: nextStepsAction,
								   ojComponent: { component: 'ojButton', label: 'Next ...' }">
						</button>
						-->
					</div>
				</div>
				<div id="dvstep3" style='display:none;' class="row uniform">
					<div class="12u$ 12u$(small)">
						<hr/>
						<span><h4>Product & Shipping Details</h4></span>
						
					</div>
					<div class="4u 12u$(small)">
						<span>Forex Validity&nbsp;</span><oj-switch id="ckFXValidity" value="{{isChecked}}"></oj-switch>
					</div>
					<div class="8u$ 12u$(small)">
						<div class="select-wrapper">
							<select id="cbPaymentMode" data-bind="options: paymentModes,
								   optionsText: 'label',
								   optionsValue: 'value',
								   value: paymentMode,
								   optionsCaption: 'Choose Payment Mode...'" required>
							</select>
						</div>
					</div>
					
					<div class="12u$ 12u$(small)">
						<oj-input-text placeholder='General Description' id="txtDesc"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					
					<div class="4u 12u$(small)">
						<oj-input-text placeholder='Total FOB Value' id="txtTotalFOB"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="4u 12u$(small)">
						<oj-input-text placeholder='Total Freight Charge' id="txtFCharge"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="4u$ 12u$(small)">
						<oj-input-text placeholder='Ancilary Charge' id="txtAncilary"  inputmode="number"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					
					<div class="4u 12u$(small)">
						<oj-input-text placeholder='Total CF Value' id="txtTotalCF"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="4u 12u$(small)">
						<oj-input-text placeholder='Transfer Mode' id="txtTransferMode"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="4u$ 12u$(small)">
						<div class="select-wrapper">
							<select id="cbShipmentMode" data-bind="options: shipmentModes,
								   optionsText: 'label',
								   optionsValue: 'value',
								   value: shipmentMode,
								   optionsCaption: 'Choose Mode of Transport...'" required>
							</select>
						</div>
					</div>
					
					<div class="6u 12u$(small)">
						<oj-input-text placeholder='Actual Port of Discharge' id="txtDischargePort"  inputmode="text"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					<div class="6u$ 12u$(small)">
						<oj-input-text placeholder='Inpspection Agent' id="txtAgent"  inputmode="number"
										style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
										></oj-input-text>
					</div>
					
					<div class="6u 12u$(small)">
						<div class="select-wrapper">
							<select id="cbOriginCountry" data-bind="options: countries,
								   optionsText: 'name',
								   optionsValue: 'name',
								   value: currentCountry,
								   optionsCaption: 'Choose Country of Origin...'" required>
							</select>
						</div>
						
					</div>
					<div class="6u$ 12u$(small)">
						<select id="cbSupplyCountry" data-bind="options: countries,
								   optionsText: 'name',
								   optionsValue: 'name',
								   value: currentCountry,
								   optionsCaption: 'Choose Country of Supply...'" required>
							</select>
					</div>
					<div class="4u 12u$(small)">
						<a href="#" class="button special small fit icon fa-next" data-bind="click: previousStepsAction">Previous ...</a>
					</div>
					<div class="4u$ 12u$(small)">
						<a href="#" class="button alt small fit icon fa-next" data-bind="click: nextStepsAction">Next ...</a>
						<!--
						<button id= "btnCheck" class="button special fit oj-button-confirm" chroming="outlined"
						data-bind="click: nextStepsAction,
								   ojComponent: { component: 'ojButton', label: 'Next ...' }">
						</button>
						-->
					</div>
				</div>
				<div id="dvstep4" style='display:none;' class="row uniform">
					<div class="12u$ 12u$(small)">
						<div class="row uniform">
							<div class="12u$ 12u$(small)">
							<p>In arcu accumsan arcu adipiscing accumsan orci ac. Felis id enim aliquet. Accumsan ac integer lobortis commodo ornare aliquet accumsan erat tempus amet porttitor. Ante commodo blandit adipiscing integer semper orci eget. Faucibus commodo adipiscing mi eu nullam accumsan morbi arcu ornare odio mi adipiscing nascetur lacus ac interdum morbi accumsan vis mi accumsan ac praesent.</p>
							</div>
							<div class="5u 12u$(small)">
								<div class="select-wrapper">
									<!--
									<select id="cbHscode" data-bind="options: hscodes,
										   optionsText: 'description',
										   optionsValue: 'hscode',
										   value: hscode,
										   optionsCaption: 'Choose HS Code...'" required>
									</select>
									-->
									<oj-select-one id="cbHscode" options="[[hscodes]]" minimum-results-for-search="1"
										placeholder="[['Select a HSCode']]" style="max-width:100%">
									</oj-select-one>
								</div>
							</div>
							<div class="5u$ 12u$(small)">
								<a href="#" class="button special small fit icon fa-next" data-bind="click: addHSCode">Add Selected HSCode</a>
								<!--
								<button id= "btnCheck" class="button special fit oj-button-confirm" chroming="outlined"
								data-bind="click: addHSCode,
										   ojComponent: { component: 'ojButton', label: 'Add Selected HSCode' }">
								</button> -->
							</div>
						</div>
					</div>
					<div class="12u$ 12u$(small)">
						<hr/>
					</div>
					<div class="12u$ 12u$(small)">
						<oj-table id="table" aria-label="HSCode"
							data='[[hsDataProvider]]'
							selection-mode='{"row": "single"}'
							columns-default='{"sortable": "enabled"}' 
							columns='[{"headerText": "HS Code", 
									   "field": "hscode"},
									  {"headerText": "Description", 
									   "field": "description"}
									 ]'
							style='width: 100%; height:100%;'>
						</oj-table>
					</div>
					<div class="4u 12u$(small)">
						<a href="#" class="button special small fit icon fa-next" data-bind="click: previousStepsAction">Previous ...</a>
					</div>
					<div class="4u$ 12u$(small)">
						<a href="#" class="button alt small fit icon fa-next" data-bind="click: defaultNextStep">Next ...</a>
						
					</div>
					<!--
					<div class="4u$ 12u$(small)">
						<button id= "btnCheck" class="button special fit oj-button-confirm" chroming="outlined"
						data-bind="click: defaultNextStep,
								   ojComponent: { component: 'ojButton', label: 'Next ...' }">
						</button>
					</div>
					-->
				</div>
				<div id="dvstep5" style='display:none;' class="row uniform">
					<!-- remove later -->
					<div class="12u$ 12u$(small)">
					<p>&nbsp;</p>
					</div>
					
					
					<div class="6u 12u$(small)">
						<div class="row uniform oj-panel oj-panel-alt6 oj-panel-shadow-sm">
							<div class="12u$ 12u$(small)">
								<oj-file-picker on-oj-select='[[selectListener]]' style='max-width: 100%;'>
									<div tabindex='0' slot='trigger'
										  class='oj-filepicker-dropzone'>
									   <p class='oj-filepicker-text'><br/>I'm a clickable dropzone</p>
									</div>
								</oj-file-picker>
								<br/>
								<div style="width: 100%;">
								  <oj-progress value="{{progressValue}}" class='oj-progress-bar-embedded' 
									max="100" style="height:30px;"></oj-progress>
								  <div class="oj-progress-bar-start-label">0%</div>
								  <div class="oj-progress-bar-end-label">100%</div>
								</div>
								<br/>
								<span id="selectedFile"></span>
							</div>
							<div class="12u$ 12u$(small)">
								<div class="select-wrapper">
									<select id="cbDocType" data-bind="options: docTypes,
										   optionsText: 'label',
										   optionsValue: 'value',
										   value: val,
										   optionsCaption: 'Choose Document Type...'" required>
									</select>
								</div>
							</div>
							<div class="12u$ 12u$(small)">
								<oj-input-text placeholder='Meta-Data' id="txtAnnotation"  inputmode="text"
												style='max-width: 100%; font-size: 12pt;padding-bottom:6px;' 
												></oj-input-text>
							</div>
							<div class="6u$ 12u$(small)">
								<a href="#" class="button alt small fit icon fa-next" data-bind="click: saveAttachments">Save Uploaded File</a>
								<!-- <button id= "btnCheck" class="button special fit oj-button-confirm" chroming="outlined"
								data-bind="click: saveAttachments,
										   ojComponent: { component: 'ojButton', label: 'Submit Form' }">
								</button> -->
							</div>
						</div>
					</div>
					<div class="6u$ 12u$(small)">
						<oj-table id="table" aria-label="Attachments"
							data='[[attachmentDataProvider]]'
							selection-mode='{"row": "single"}'
							columns-default='{"sortable": "enabled"}' 
							columns='[{"headerText": "Document Name", 
									   "field": "documentName"},
									  {"headerText": "Document Type", 
									   "field": "documentType"},
									  {"headerText": "Description", 
									   "field": "description"}
									 ]'
							style='width: 100%; height:100%;'>
						</oj-table>
					</div>
					
					<div class="12u$ 12u$(small)">
						<span id="dstatus"></span>
					</div>
					<div class="4u 12u$(small)">
						<a href="#" class="button special small fit icon fa-next" data-bind="click: previousStepsAction">Previous ...</a>
					</div>
					<div class="4u$ 12u$(small)">
						<a href="#" class="button alt small fit icon fa-next" data-bind="click: attachmentNextStep">Next ...</a>
						
					</div>
					<!-- remove end -->
				</div>
				<div id="dvstep6" style='display:none;' class="row uniform">
					<!--
					<div class="12u$ 12u$(small)">
						<div class="select-wrapper">
							<select id="basicSelect" data-bind="options: branches,
								   optionsText: 'label',
								   optionsValue: 'value',
								   value: val,
								   optionsCaption: 'Choose...'" onChange="alert(this.value);">
							</select>
						</div>
					</div> 
					-->
					<div class="12u$ 12u$(small)">
						<span id="message"></span>
					</div>
					<div class="6u$ 12u$(small)">
						<span class="oj-choice-item">
							<input id="chkAgree" type="checkbox" class="oj-checkbox-nocomp" data-bind="checked: checkedPlaceholder"/>
							<label for="chkAgree">I do confirm that all entries and attachments are correct.</label>
						</span>
					</div>
					
					<div class="4u$ 12u$(small)">
						<a href="#" class="button alt small fit icon fa-next" data-bind="click: completeButtonAction">Agree and Complete</a>
					</div>
					
				</div>
			</div>
			
		</div>
	</div>
</section>


